## Apache Zeta Components Manual :: Docs For Class ezcQueryInvalidParameterException

### Database::ezcQueryInvalidParameterException

### Class ezcQueryInvalidParameterException

Exception thrown when a method does not the receive correct variables it requires.

Source for this file: /Database/src/exceptions/query/invalid_parameter.php

    Exception
       |
       --ezcBaseException
          |
          --ezcQueryException
             |
             --ezcQueryInvalidParameterException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcQueryInvalidParameterException | `__construct( $method , $parameterNumber , $foundContents , $expectedContents )` Constructs an ezcQueryVariableParameterException.

### Inherited Methods

From ezcQueryException
public ezcQueryException | `ezcQueryException::__construct()` Constructs an ezcQueryException with the highlevel error message $message and the errorcode $code.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcQueryInvalidParameterException __construct( string $method , int $parameterNumber , string $foundContents , string $expectedContents )

Constructs an ezcQueryVariableParameterException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$method` | string |
`$parameterNumber` | int |
`$foundContents` | string |
`$expectedContents` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcQueryException::__construct()` | Constructs an ezcQueryException with the highlevel error message $message and the errorcode $code.

Documentation generated by phpDocumentor 1.4.3